namespace Hc900Crawler.Core.Application.Interfaces;

using Hc900Crawler.Core.Application.DTOs;
using System.Threading.Tasks;

public interface IStatusStore
{
    Task<AnalysisStatus?> GetStatusAsync(string taskId);
    Task UpdateStatusAsync(AnalysisStatus status);
    Task RemoveStatusAsync(string taskId);
}
